Skip to main content
PUT
/
skills
/
{skill_pid}
Update Skill
curl --request PUT \
  --url https://ds.cominty.com/skills/{skill_pid} \
  --header 'Content-Type: application/json' \
  --header 'x-cominty-token: <api-key>' \
  --data '
{
  "display_name": "<string>",
  "active": true
}
'
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "display_name": "<string>",
  "active": true,
  "frontmatter": {
    "name": "<string>",
    "description": "<string>",
    "license": "<string>",
    "compatibility": "<string>",
    "metadata": {},
    "allowed_tools": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cominty.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-cominty-token
string
header
required

Your Cominty API token.

Headers

x-internal-token
string | null

Path Parameters

skill_pid
string
required

Body

application/json
display_name
string | null
active
boolean | null
scope
enum<string> | null
Available options:
organization,
private

Response

Successful Response

id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
display_name
string
required
source
enum<string>
required
Available options:
cominty,
custom
active
boolean
required
scope
enum<string> | null
required
Available options:
organization,
private
frontmatter
SkillFrontmatter · object
required